Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 449653 - FTBFS LabPlot-1.5.1.6-6.fc9
Summary: FTBFS LabPlot-1.5.1.6-6.fc9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LabPlot
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On: 449910
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-06-02 22:18 UTC by FTBFS
Modified: 2008-06-10 20:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-10 20:28:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-06-02 22:18 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 22:18 UTC, FTBFS
no flags Details
root.log.bz2 (deleted)
2008-06-02 22:19 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 22:19 UTC, FTBFS
no flags Details

Description FTBFS 2008-06-02 22:18:29 UTC
LabPlot-1.5.1.6-6.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-06-02 22:18:50 UTC
Created attachment 308117 [details]
root.log.bz2

root.log for i386

Comment 2 FTBFS 2008-06-02 22:18:59 UTC
Created attachment 308118 [details]
build.log.bz2

build.log for i386

Comment 3 FTBFS 2008-06-02 22:19:12 UTC
Created attachment 308119 [details]
root.log.bz2

root.log for x86_64

Comment 4 FTBFS 2008-06-02 22:19:23 UTC
Created attachment 308120 [details]
build.log.bz2

build.log for x86_64

Comment 5 Alex Lancaster 2008-06-04 10:30:42 UTC
There's a newer LabPlot of 1.6.0 in CVS of rawhide.   

Trying to build now, as this is causing broken deps in rawhide for a week or so
and no recent maintainer activity.

Comment 6 Alex Lancaster 2008-06-04 12:21:52 UTC
Actually reverted back to the same spec/version on F-9 which has gcc4.3 fixes. 
This needs to be fixed now because of the ImageMagick soname bump, once this is
build, can work on updating the gcc 4.3 patch to the 1.6.0 version of lab plot.

Meantime even the 1.5.1.6 plot is failing due to problems with the current
coreutils on koji (bug #449910):

http://koji.fedoraproject.org/koji/getfile?taskID=645053&name=build.log

hopefully this will be fixed soon then rebuild can proceed.

Comment 7 Alex Lancaster 2008-06-06 10:01:44 UTC
Hmm, even with koji fixed now, this still fails to build for some other reason:

http://koji.fedoraproject.org/koji/taskinfo?taskID=646759

this is the bit that fails to compile:

/usr/include/liborigin/OPJFile.h:671: warning: conversion to 'int' from 'size_t'
may alter its value
ImportOPJ.cc: In member function 'int ImportOPJ::import()':
ImportOPJ.cc:40: error: 'class OPJFile' has no member named 'Data'
ImportOPJ.cc:49: error: 'class OPJFile' has no member named 'SData'
/usr/lib64/qt-3.3/include/qmemarray.h: In constructor
'QMemArray<type>::QMemArray(int) [with type = QPoint]':
/usr/lib64/qt-3.3/include/qpointarray.h:59:   instantiated from here
/usr/lib64/qt-3.3/include/qmemarray.h:62: warning: conversion to 'int' from
'long unsigned int' may alter its value
/usr/lib64/qt-3.3/include/qmemarray.h: In member function 'bool
QMemArray<type>::resize(uint) [with type = unsigned int]':
/usr/lib64/qt-3.3/include/qglcolormap.h:83:   instantiated from here
/usr/lib64/qt-3.3/include/qmemarray.h:73: warning: conversion to 'uint' from
'long unsigned int' may alter its value
make[2]: *** [ImportOPJ.lo] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/LabPlot-1.5.1.6/src'
make[1]: 
*** [all-recursive] Error 1


Comment 8 Thibault North 2008-06-06 12:19:05 UTC
This error comes from changes in liborigin, which has changed a lot with the
last versions.
Maybe LabPlot should use a more recent one. That should be discussed upstream.

Comment 9 Alex Lancaster 2008-06-06 12:42:06 UTC
(In reply to comment #8)
> This error comes from changes in liborigin, which has changed a lot with the
> last versions.
> Maybe LabPlot should use a more recent one. That should be discussed upstream.

There is a new version of LabPlot out: 1.6.0.  However, I didn't upgrade to it
because it might have required porting the GCC 4.3 patch (assuming LabPlot 1.6.0
hasn't incorporated fixes for GCC 4.3).

Can you try compiling LabPlot 1.6.0 on rawhide?

Comment 10 Chitlesh GOORAH 2008-06-09 19:14:55 UTC
I'm working on it. This bug will be closed shortly along with the next release
1.6.0.1.

Comment 11 Alex Lancaster 2008-06-10 10:13:05 UTC
(In reply to comment #10)
> I'm working on it. This bug will be closed shortly along with the next release
> 1.6.0.1.

Thanks!  Any idea for the timeline for 1.6.0.1?  Packages that still FTBFS may
be removed from rawhide after Alpha is released.

Comment 12 Chitlesh GOORAH 2008-06-10 11:58:53 UTC
Tonight, or most probably before friday.


Note You need to log in before you can comment on or make changes to this bug.